Subject: Re: Compiling Perl under b20.1
From: Sebastien Barre <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Mar 1999 11:57:26 +0100

At 02:19 08/03/99 -0500, Charles Wilson wrote:

>WOW! You haven't been working on this all day, have you?

Both of us :)

>Let me summarize, and see if I've got this straight:
>(1) according to Earnie Boyd (but contradicted by Pierre Humblet) 
[...]
>all of your tests were either CYGWIN=binmode or
>CYGWIN=________, not CYGWIN=nobinmode, you really weren't changing anything 
>here.

Sadly. I should have used nobinmode. I'll try.

>Okay, digging into the stat.t code: You failed tests 18-20 and 26 in stat.t. 
>Tests 18-20 are testing (readable by owner?) (writeable by owner?) and
(executable by
>owner) after doing a chmod 0700. I can't remember if I was building perl 
>under the Administrator account or under my normal NT user account. But,
the "everything
>created by a member of the Administrators group belongs to the group, not 
>the user" NTism may be the culprit here.

Yes, seems to me too, but I thought 'ntea' could solve this (see other
email "'ntea' CHECK please).

>My conclusions are the same as yours:
>    (1) Earnie is right ==> binmode has no effect
>    (2) binary mounted / text mounted don't affect the build, only the runtime
>behavior and tests. Why is another question.

OK for me at this time (+ a free headache).

______________________________________________________________
Sebastien Barre                  http://www.hds.utc.fr/~barre/

--
Want to unsubscribe from this list?
Send a message to [email-masked]